package cn.tsy.idsse.dsds.control;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import cn.hme.framework.core.AppParamerter;
import cn.hme.framework.helper.log.LogHelper;
import cn.tsy.idsse.dsds.control.thread.DSDSReportThread;

public class DSDSInitializeLisener implements ServletContextListener {
	@Override
	public void contextInitialized(ServletContextEvent sc) {
		LogHelper.info("["+AppParamerter.AppName+"]当前版本2025.08.30.001");
		if (AppParamerter.AppName.equals("DSDS2024Server")) {
			new Thread(new DSDSReportThread()).start();
		}
	}

	@Override
	public void contextDestroyed(ServletContextEvent sc) {
	}
}
